사용자가 멤버가 아님

Moses Skoda엔지니어1분 소요

API는 이 오류가 발생하면 404 Not Found 응답을 반환합니다. type 값은 https://lingo.dev/docs/api/errors/user-not-member입니다. 모든 오류의 공통 구조는 오류 및 상태 코드를 참고하세요.

사용자 <userId>는 이 조직의 멤버가 아닙니다. 먼저 사용자를 초대한 다음 역할을 설정하세요.

필드#

응답 본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로, 클라이언트에서 자체 문구로 바꿔 표시할 수 있습니다.

필드유형
organizationIdstring
userIdstring

예시#

json
{
  "detail": "User <userId> is not a member of this organization. Invite them first, then set their role.",
  "organizationId": "<organizationId>",
  "userId": "<userId>",
  "type": "https://lingo.dev/docs/api/errors/user-not-member",
  "status": 404,
  "title": "User not a member"
}

이 오류를 반환하는 엔드포인트#

  • PATCH /v2/organizations/{orgId}/members/{userId}